import { TaskResponse } from '../models/tasks/TaskResponse.interface';
import { Resolve } from '../models/resolve/Resolve.class';
import { TaskSummaryResponse } from '../models/tasks/TaskSummaryResponse.interface';
export declare class ResolveService {
    private repository;
    constructor();
    addResolve(resolveRequest: Resolve): Promise<TaskResponse>;
    updateResolve(resolveRequest: Resolve, idTask: string): Promise<TaskResponse>;
    getResolveSummary(): Promise<TaskSummaryResponse>;
    getResolve(idTask: string): Promise<TaskResponse>;
    deleteResolveTask(idTask: string): Promise<Response>;
    getDataReportResolve(idJob: string): Promise<unknown>;
}
